{
	"artifacts" : 
	[
		{
			"path" : "GraphicsTest.exe"
		},
		{
			"path" : "GraphicsTest.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"link_directories",
			"target_link_libraries",
			"include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 15,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 13,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 16,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 23,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 12,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 5,
					"path" : "C:/Users/naifa/Documents/Projects/C++/GraphicsTest/./dep"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/naifa/Documents/Projects/C++/GraphicsTest/./include"
				}
			],
			"language" : "CXX",
			"sourceIndexes" : 
			[
				0,
				1,
				2
			]
		},
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 5,
					"path" : "C:/Users/naifa/Documents/Projects/C++/GraphicsTest/./dep"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/naifa/Documents/Projects/C++/GraphicsTest/./include"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				3
			]
		}
	],
	"id" : "GraphicsTest::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-LC:\\Users\\naifa\\Documents\\Projects\\C++\\GraphicsTest\\..\\libs\\glfw-3.3.9\\build\\src",
				"role" : "libraryPath"
			},
			{
				"backtrace" : 3,
				"fragment" : "-lglfw3",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "-lopengl32",
				"role" : "libraries"
			},
			{
				"fragment" : "-lkernel32 -luser32 -lgdi32 -lwinspool -lshell32 -lole32 -loleaut32 -luuid -lcomdlg32 -ladvapi32",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "GraphicsTest",
	"nameOnDisk" : "GraphicsTest.exe",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "funcs.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "shader.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 1,
			"path" : "C:/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "EXECUTABLE"
}
